Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.UnorderedMaskRegister

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.Simulator.IMRReg
              avrora.sim.Simulator.MaskRegister
                  avrora.sim.Simulator.UnorderedMaskRegister

All Implemented Interfaces:
  State.IOReg

Direct Known Subclasses:
  ATMega128L.SimImpl.USART.ControlRegisterB

Enclosing class:
  Simulator

public class Simulator.UnorderedMaskRegister
extends Simulator.MaskRegister

Mask register associated with an `UnorderedFlagregister`.

Field Summary

Fields inherited from class avrora.sim.Simulator.MaskRegister
`baseVect, flagRegister, increasingVectors`

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Constructor Summary
`Simulator.UnorderedMaskRegister(boolean b, int i, Simulator.FlagRegister fr, int[] mapping, byte byteMask)`

Method Summary
`protected int` | `getVectorNum(int bit)`
`void` | `update(avrora.sim.Simulator.IMRReg other)`

Methods inherited from class avrora.sim.Simulator.MaskRegister
`update, write, writeBit`

Methods inherited from class avrora.sim.State.RWIOReg
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Simulator.UnorderedMaskRegister

    public Simulator.UnorderedMaskRegister(boolean b,
                                           int i,
                                           Simulator.FlagRegister fr,
                                           int[] mapping,
                                           byte byteMask)

Method Detail

### getVectorNum

    protected int getVectorNum(int bit)

### update

    public void update(avrora.sim.Simulator.IMRReg other)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD